## mafw-scrobbler 1.0-1

=== Makefile ===
CC := gcc

EXTRA_WARNINGS = -Wextra -Wno-unused-parameter

CFLAGS := -ggdb -Wall -std=c99 $(EXTRA_WARNINGS)

override CFLAGS += -D_XOPEN_SOURCE=500

GLIB_CFLAGS := $(shell pkg-config --cflags glib-2.0)
GLIB_LIBS := $(shell pkg-config --libs glib-2.0)

SOUP_CFLAGS := $(shell pkg-config --cflags libsoup-2.4)
SOUP_LIBS := $(shell pkg-config --libs libsoup-2.4)

GTHREAD_CFLAGS := $(shell pkg-config --cflags gthread-2.0)
GTHREAD_LIBS := $(shell pkg-config --libs gthread-2.0)

MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
MAFW_LIBS := $(shell pkg-config --libs mafw-shared mafw)

HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel)
HILDON_LIBS := $(shell pkg-config --libs hildon-1 hildon-control-panel)

OSSO_CFLAGS := $(shell pkg-config --cflags libosso)
OSSO_LIBS := $(shell pkg-config --libs libosso)

SCROBBLE_LIBS := $(SOUP_LIBS)

all:

libscrobble.a: scrobble.o
libscrobble.a: override CFLAGS += $(GLIB_CFLAGS) $(SOUP_CFLAGS)

mafw-scrobbler: main.o libscrobble.a
mafw-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS)
mafw-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(SCROBBLE_LIBS)
bins += mafw-scrobbler

libcp-scrobbler.so: control_panel.o
libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS) $(OSSO_CFLAGS)
libcp-scrobbler.so: override LIBS += $(HILDON_LIBS) $(OSSO_LIBS)
libs += libcp-scrobbler.so

all: libscrobble.a $(bins) $(libs)

D = $(DESTDIR)

# pretty print
ifndef V
QUIET_CC    = @echo '   CC         '$@;
QUIET_LINK  = @echo '   LINK       '$@;
QUIET_CLEAN = @echo '   CLEAN      '$@;
endif

install: $(bins) $(libs)
	install -m 755 mafw-scrobbler -D $(D)/usr/bin/mafw-scrobbler
	install -m 644 libcp-scrobbler.so -D \
		$(D)/usr/lib/hildon-control-panel/libcp-scrobbler.so
	install -m 644 mafw-scrobbler.desktop -D \
		$(D)/usr/share/applications/hildon-control-panel/mafw-scrobbler.desktop
	install -m 644 fm.png -D $(D)/usr/share/icons/hicolor/48x48/apps/fm.png

%.a::
	$(QUIET_LINK)$(AR) rcs $@ $^

%.so::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

$(bins):
	$(QUIET_LINK)$(CC) $(LDFLAGS) $(LIBS) -o $@ $^

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

clean:
	$(QUIET_CLEAN)$(RM) *.o *.d *.a $(bins) $(libs)

-include *.d

=== debian/changelog ===
mafw-scrobbler (1.0-1) fremantle; urgency=low

  * Initial release

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 30 May 2010 19:11:14 +0300

=== debian/control ===
Source: mafw-scrobbler
Section: user/multimedia
Priority: optional
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev
Standards-Version: 3.8.0

Package: mafw-scrobbler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
Description: Maemo scrobbler
 mafw-scrobbler allows to scrobble to multiple services like last.fm and libre.fm.
XB-Maemo-Display-Name: Maemo scrobbler (last.fm/libre.fm)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oFHgsjBcXBVjoAAAMnSURBVGje
 7ZZPiFVlGMZ/z3dntDzH0RqS3Eq1SHKRMiBJRLmJCDIobaGbRtpKmHOvYAQT3TsFIQRh6wiXQhS1
 kaiFKd4gqEUhQhhtxDCZe0drOudpcc49c3KuM5f+B99vcy/3fuf93ud7n/d7D0QikUgkEolEIpFI
 5N9Bf1WgfosTwH7DDcxZBd5MXuP0/0LAwgz7LE7+LprB4um0zan/vIBeC6tKG9kguJZ02Nhv8ZTN
 lMSUza5fA+vGzauGbZgLhlPrO3x29QjpmsAjFvcAF9I2H/4jAnpNEokegA0Se4C7PcZ76SzzvSaX
 Je4CbCNBZmgAlqocZm2OoTKhonpXZLYmHS6vtH/4kyf/POJtD05D5DabcvghnWW+3OCMB38LEA2p
 qNTgAG2OQVVFSiGTiI9Wy2GZgC480YWvzoO78M15OLLC808KDgw2tgkS7wR4v/8SmwAy0VFxwoM1
 NnwhmLNxKRwJ2Xxtk9Ws+GD/KJMjC+jCC4YPDFvLpO4D5rpwbqj/zOYihTKR6hsQ2ACwvs3ZpM3L
 NdOqcYOHkw5NxI+1cJ+mHR5AtDBL5srZPJKAczBmOKGilFpyBQBTwyrhcXbm4t6ql8SiA7ud8+wC
 fDdYd63JxkEgAdlaslL29dqtdbz8/KTaveiFDSsJGKsp2aFbN7aBvcDr9R/TWfJ+i4WBoW3ytL38
 7g8NbicrFtkQQmWdai+r6BkCgbzqAwxXR6qA4A6vcFsJ1jBc2c+1cnlIoz8UMj52/VhypvtNpoE7
 a3Y8eH2GtZh9NVFgHvUrNEYR8PmtFpVZfb9sgLWYlnmXpSYe77d4Y36Gx2pxJw3b6p7MxYuGZ4B1
 tXB7MzEmOISqnrLgrd4iyaoW2g4/deGk4bmbPGSBFuHAzQ/nZpfE47UyNQyHg0igsJJzLkmcxgSL
 BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
 6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
 d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=


Package: mafw-scrobbler-dbg
Section: devel
Architecture: any
Depends: ${misc:Depends}, mafw-scrobbler (= ${binary:Version})
Description: Debug symbols for mafw-scrobbler

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installxsession -u 'post 85'
	dh_install --sourcedir=debian/tmp
	dh_strip --dbg-package=mafw-scrobbler-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify	
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install
